Package org.eclipse.birt.core.script

# Class NativeJavaList

java.lang.Object
org.mozilla.javascript.NativeJavaObject
org.eclipse.birt.core.script.NativeJavaList

All Implemented Interfaces:
  `Serializable`, `org.mozilla.javascript.Scriptable`, `org.mozilla.javascript.SymbolScriptable`, `org.mozilla.javascript.Wrapper`

public class NativeJavaList extends org.mozilla.javascript.NativeJavaObject

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class org.mozilla.javascript.NativeJavaObject

`isAdapter, javaObject, members, parent, prototype, staticType`

### Fields inherited from interface org.mozilla.javascript.Scriptable

`NOT_FOUND`

## Constructor Summary

Constructors
Constructor
Description
`NativeJavaList()`
`NativeJavaList(org.mozilla.javascript.Scriptable scope, Object javaObject, Class staticType)`

## Method Summary

Modifier and Type
Method
Description
`Object`
`get(int index, org.mozilla.javascript.Scriptable start)`
`boolean`
`has(int index, org.mozilla.javascript.Scriptable start)`
`void`
`put(int index, org.mozilla.javascript.Scriptable start, Object value)`

### Methods inherited from class org.mozilla.javascript.NativeJavaObject

`canConvert, coerceType, createInterfaceAdapter, delete, delete, delete, equals, get, get, getClassName, getDefaultValue, getIds, getParentScope, getPrototype, has, has, hashCode, hasInstance, initMembers, put, put, setParentScope, setPrototype, unwrap, wrap`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### NativeJavaList

public NativeJavaList()

### NativeJavaList

public NativeJavaList(org.mozilla.javascript.Scriptable scope, Object javaObject, Class staticType)

## Method Details

### has

public boolean has(int index, org.mozilla.javascript.Scriptable start)

Specified by:
  `has` in interface `org.mozilla.javascript.Scriptable`
Overrides:
  `has` in class `org.mozilla.javascript.NativeJavaObject`

### get

public Object get(int index, org.mozilla.javascript.Scriptable start)

Specified by:
  `get` in interface `org.mozilla.javascript.Scriptable`
Overrides:
  `get` in class `org.mozilla.javascript.NativeJavaObject`

### put

public void put(int index, org.mozilla.javascript.Scriptable start, Object value)

Specified by:
  `put` in interface `org.mozilla.javascript.Scriptable`
Overrides:
  `put` in class `org.mozilla.javascript.NativeJavaObject`